POST /data_exports

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/data_exports

Create a one-time data export

Create a one-time data export. The export runs asynchronously. Poll GET /v1/data_exports/:id for status updates, then download the file via GET /v1/data_exports/:id/download once complete.

Params

Param name Description
data_type
Required

The type of data being exported.

  • Must be a String

name
Optional Blank value allowed

Name of the export.

  • Must be a String

created_at_from
Optional Blank value allowed

Start of the date range filter for exported records.

  • Must be a String

created_at_to
Optional Blank value allowed

End of the date range filter for exported records.

  • Must be a String

created_at_label
Optional Blank value allowed

A named time range (e.g. today, last-week, this-month). When provided and created_at_from/created_at_to are blank, the label is parsed into a date range.

  • Must be a String

column_names
Optional Blank value allowed

Array of column names to include in the export. Defaults to all available columns for the data type if omitted.

  • Must be an array of any type

serializer_type
Optional Blank value allowed

Serializer format for the export (e.g. call_grid for calls).

  • Must be a String

time_zone
Optional Blank value allowed

Date ranges in the export filters will be parsed using this time zone.

notify_emails
Optional Blank value allowed

Email addresses to notify when this export finishes.

anonymous_caller
Optional Blank value allowed

Match calls where the caller ID was withheld or anonymous.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

buyer_attempted
Optional Blank value allowed

Match calls where a Buyer was attempted.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

buyer_connected
Optional Blank value allowed

Match calls where a Buyer connected.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

buyer_conversion_duplicated_call
Optional Blank value allowed

Match calls where the callerID was a duplicate against the Buyer’s conversion settings.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

buyer_repeat_caller
Optional Blank value allowed

Match calls where the Buyer had a repeat caller.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

disconnected
Optional Blank value allowed

Match calls that have disconnected.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

finished
Optional Blank value allowed

Match leads that have no pending next action, when data_type is lead.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_barge
Optional Blank value allowed

Match calls where a barge occurred (a buyer or agent joined an in-progress call).

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_buyer
Optional Blank value allowed

Match calls that connected to a Buyer.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_call
Optional Blank value allowed

Match leads that have at least one call, when data_type is lead.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_downstream_call
Optional Blank value allowed

Match calls that generated a downstream call.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_email
Optional Blank value allowed

Match records that have an email address.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_next_action
Optional Blank value allowed

Match leads that have a pending next action.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_recording
Optional Blank value allowed

Match calls that have a recording.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_scheduled_callback
Optional Blank value allowed

Match calls that have a scheduled callback.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_traffic_source
Optional Blank value allowed

Match calls that have a Traffic Source assigned.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_voicemail
Optional Blank value allowed

Match calls that left a voicemail.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

in_progress
Optional Blank value allowed

Match calls that are on-going

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

internal_call
Optional Blank value allowed

Match calls that were placed internally rather than by an external caller.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

is_scheduled_callback
Optional Blank value allowed

Match calls that are themselves a scheduled callback.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

left_voicemail
Optional Blank value allowed

Match calls that left a voicemail.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

manual_opt_in
Optional Blank value allowed

Match leads that were manually opted in.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

manual_opt_out
Optional Blank value allowed

Match leads that were manually opted out.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

next_action_ready
Optional Blank value allowed

Match leads whose next action is ready to be processed.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

offer_conversion_duplicated_call
Optional Blank value allowed

Match calls where the callerID was a duplicate against the Traffic Source’s conversion settings.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

offer_repeat_caller
Optional Blank value allowed

Match calls where the Traffic Source had a repeat caller.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

opt_out
Optional Blank value allowed

Match leads that are opted out.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

outbound_call_from_agent
Optional Blank value allowed

Match calls placed outbound by an agent.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

placed_on_hold
Optional Blank value allowed

Was the call placed on hold?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

provider_sms_enabled
Optional Blank value allowed

Match records where the provider has SMS enabled.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

ring_pool_present
Optional Blank value allowed

Match calls that used a Number Pool.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

transferred
Optional Blank value allowed

Match calls that were transferred.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

upstream_number_missing
Optional Blank value allowed

Match calls where the upstream Number could not be determined.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

buyer_converted_count
Optional Blank value allowed

Match calls with this many Buyer conversions.

  • Must be a decimal number.

dial_tier
Optional Blank value allowed

Match leads with this dial tier (priority) value.

  • Must be a decimal number.

off_hook_find_a_buyer_attempts_count
Optional Blank value allowed

Match calls with this many off-hook find-a-buyer attempts.

  • Must be a decimal number.

offer_converted_count
Optional Blank value allowed

Match calls with this many Traffic Source conversions.

  • Must be a decimal number.

response_status
Optional Blank value allowed

Match records with this HTTP response status code.

  • Must be a decimal number.

buyer_attempt_id
Optional Blank value allowed

Match calls where this Buyer was attempted.

buyer_group_ids
Optional Blank value allowed

Match calls where the Buyer belongs to one of these Buyer Groups.

buyer_id
Optional Blank value allowed

Match calls where this Buyer was the winning Buyer.

buyer_suppression_id
Optional Blank value allowed

Match calls suppressed by this Buyer Suppression list.

call_center_id
Optional Blank value allowed

Match calls handled by this Call Center.

inbound_webhook_id
Optional Blank value allowed

Match records generated by this Inbound Webhook.

lead_import_id
Optional Blank value allowed

Match leads imported from this Lead Import.

number_id
Optional Blank value allowed

Match calls placed to this Number.

off_hook_buyer_id
Optional Blank value allowed

Match calls off-hook to this Buyer.

offer_id
Optional Blank value allowed

Match records belonging to this Offer.

provider_configuration_id
Optional Blank value allowed

Match calls routed through this Provider Configuration.

qa_buyer_id
Optional Blank value allowed

Match calls where this Buyer was used for quality assurance monitoring.

recent_call_disposition_id
Optional Blank value allowed

Match leads whose most recent call has this Call Disposition.

referring_call_id
Optional Blank value allowed

Match calls referred from this Call id.

referring_number_id
Optional Blank value allowed

Match calls referred from this Number id.

referring_offer_id
Optional Blank value allowed

Match calls referred from this Offer id.

  • Must be an 8-bit integer ID or a 128-bit UUID reference to an object on Trackdrive. Example ID: 289302820, Example UUID: 924c37d5-e70f-42ad-84c2-e85eb0c1bc21

referring_schedule_id
Optional Blank value allowed

Match calls referred from this Schedule id.

ring_pool_id
Optional Blank value allowed

Match calls placed through this Number Pool.

schedule_id
Optional Blank value allowed

Match records belonging to this Schedule.

sms_blast_id
Optional Blank value allowed

Match records from this SMS Blast.

token_id
Optional Blank value allowed

Match records tagged with this Token.

token_value_id
Optional Blank value allowed

Match records tagged with this Token Value.

traffic_source_id
Optional Blank value allowed

Refer to the traffic source api for details

category
Optional Blank value allowed

Group results by this field, when data_type is call (e.g. buyer_id, offer_id, status).

  • Must be a String

code
Optional Blank value allowed

Match records with this code.

  • Must be a String

contact_field_type
Optional Blank value allowed

Match records tagged with this Custom Contact Field Type.

  • Must be a String

country
Optional Blank value allowed

Match records from this country.

  • Must be a String

creation_source
Optional Blank value allowed

Match records created through this source.

  • Must be a String

direction
Optional Blank value allowed

Match calls with this direction (e.g. inbound or outbound).

  • Must be a String

hangup_cause_status
Optional Blank value allowed

Match calls with this hangup cause status.

  • Must be a String

hangup_source
Optional Blank value allowed

Match calls hung up by this source.

  • Must be a String

hung_up_by
Optional Blank value allowed

Match calls hung up by this party.

  • Must be a String

off_hook_type
Optional Blank value allowed

Match calls with this off-hook type.

  • Must be a String

owner_type
Optional Blank value allowed

Match leads owned by this type of record (Offer or Schedule).

  • Must be a String

request_ip
Optional Blank value allowed

Match records submitted from this IP address.

  • Must be a String

request_method
Optional Blank value allowed

Match records submitted with this HTTP method.

  • Must be a String

schedule_ended_at_label
Optional Blank value allowed

Only include leads whose schedule ended within this named timeframe.

  • Must be a String

schedule_trigger_type
Optional Blank value allowed

Match leads whose end of schedule trigger matches this type.

  • Must be a String

state
Optional Blank value allowed

Match records with this status value.

  • Must be a String

state_province
Optional Blank value allowed

Match records from this state or province.

  • Must be a String

sub_id
Optional Blank value allowed

Match records with this sub id.

  • Must be a String

token_key
Optional Blank value allowed

Calls that are tagged with this token will be matched. EG: token_key=buyer_id will return all calls that have a buyer_id token.

  • Must be a String

token_value
Optional Blank value allowed

Will match calls that are tagged with a token:value. EG: token_key=buyer_id:12345 will return all calls that have a buyer_id token with the value set to 12345.

  • Must be a String

fulltext
Optional Blank value allowed

Search for any record that matches this text

  • Must be a String

last_call_at_from
Optional Blank value allowed

Only include leads whose most recent call was on or after this time.

  • Must be a String

last_call_at_to
Optional Blank value allowed

Only include leads whose most recent call was on or before this time.

  • Must be a String

optimizer_displayed_at_from
Optional Blank value allowed

Only include leads whose optimizer results were displayed on or after this time.

  • Must be a String

optimizer_tokens_changed_at_from
Optional Blank value allowed

Only include leads whose optimizer tokens changed on or after this time.

  • Must be a String

schedule_ended_at_from
Optional Blank value allowed

Only include leads whose schedule ended on or after this time.

  • Must be a String

schedule_ended_at_to
Optional Blank value allowed

Only include leads whose schedule ended on or before this time.

  • Must be a String